# Generated by Django 2.2.10 on 2020-03-19 17:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AssetClass',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
            ],
            options={
                'verbose_name_plural': 'Asset Classes',
            },
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
            ],
            options={
                'verbose_name_plural': 'Countries',
            },
        ),
        migrations.CreateModel(
            name='Fund',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('market_summary', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='IndexValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('value', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Theme',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('target_PL', models.IntegerField()),
                ('live', models.BooleanField()),
                ('asset_class', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='fundreport.AssetClass')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='fundreport.Country')),
                ('fund', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='fundreport.Fund')),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='fundreport.Region')),
            ],
        ),
        migrations.CreateModel(
            name='Rationale',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action', models.CharField(max_length=10)),
                ('rationale', models.TextField()),
                ('date', models.DateField()),
                ('theme', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='fundreport.Theme')),
            ],
        ),
        migrations.CreateModel(
            name='Position',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('var', models.IntegerField()),
                ('cvar', models.IntegerField()),
                ('LTD', models.IntegerField()),
                ('SL', models.IntegerField()),
                ('theme', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='fundreport.Theme')),
            ],
        ),
        migrations.CreateModel(
            name='FundValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('value', models.IntegerField()),
                ('fund', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='fundreport.Fund')),
            ],
        ),
        migrations.AddField(
            model_name='country',
            name='region',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='fundreport.Region'),
        ),
    ]
